spool e:\cocktail\Mangue\import_bx4\xml\emplois.xml
set heading off
set long 1000
set linesize 150
set pagesize 0


PROMPT <?xml version="1.0" encoding="iso-8859-1" ?><IMPORT>
PROMPT <EMPLOIS>

SELECT XMLElement("EMPLOI",
			XMLFOREST(
				 PO.NO_POSTE "EMP_SOURCE",
				 C_BUDGET "C_BUDGET",
				 DURABILITE_POSTE "DURABILITE_EMPLOI",
				 C_CATEGORIE_EMPLOI "C_CATEGORIE_EMPLOI",
				 D_CREATION_POSTE "D_CREATION_EMPLOI",
				 NUM_QUOTITE_CRE_PST "NUM_QUOTITE_CRE_EMP",
				 DEN_QUOTITE_CRE_PST "DEN_QUOTITE_CRE_EMP",
				 D_SUPPRESSION_POSTE "D_SUPPRESSION_EMPLOI", 
				 TEMOIN_MIS_CONCOURS "TEMOIN_MIS_CONCOURS",
				 D_CREATION_POSTE "D_PUBLICATION_EMPLOI",
				 TEMOIN_MIS_ARBITRAGE "TEMOIN_MIS_ARBITRAGE",
				 NO_POSTE_NATIONAL "NO_EMPLOI_NATIONAL",
				 NO_POSTE_RECTORAT "NO_EMPLOI_RECTORAT",
				 S.C_RNE "C_RNE",
				 S.C_STRUCTURE "STR_ORDRE",
				 C_CHAPITRE "C_CHAPITRE",
				 C_ARTICLE "C_ARTICLE",
				 C_BAP "C_BAP",
				 C_SPECIALITE "C_SPECIALITE",
				 C_SPECIALITE_ATOS "C_SPECIALITE_ATOS",
				 C_DISC_SD_DEGRE "C_DISC_SD_DEGRE",
				 C_SECTION_CNU "C_SECTION_CNU",
				 C_SOUS_SECTION_CNU "C_SOUS_SECTION_CNU",
				 PROFIL_POSTE "PROFIL_EMPLOI",
				 C_PROGRAMME "C_PROGRAMME",
				 C_TITRE "C_TITRE"))
   FROM POSTE PO, STRUCTURE S, OCCUPATION O, INDIVIDU I, PERSONNEL PE, CODE_INSEE CI
   WHERE PO.c_structure=S.c_structure
   AND I.NO_INDIVIDU = O.NO_DOSSIER_PERS
   AND O.NO_POSTE=PO.NO_POSTE
   AND I.NO_INDIVIDU = PE.NO_DOSSIER_PERS
   AND CI.NO_DOSSIER_PERS = PE.NO_DOSSIER_PERS;

REM AND NO_POSTE_NATIONAL is not null

PROMPT </EMPLOIS>
PROMPT </IMPORT>
spool off